Bug 220712 - XEN Virtual Machine Manager fails on NFS mounted installation source
XEN Virtual Machine Manager fails on NFS mounted installation source
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-23 20:16 EST by Gerry Reno
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-26 22:28:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2006-12-23 20:16:55 EST
Description of problem:
Tried installing a new guest machine in XEN Virtual Machine Manager by NFS
mounting a CDROM drive and then loading the drive with FC6 installation media.
Mount was as follows:
# mount 192.168.2.101:/media/cdrom-hdb /media/nfscdrom-hdb
# mount | grep nfs
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
nfsd on /proc/fs/nfsd type nfsd (rw)
192.168.2.101:/media/cdrom-hdb on /media/nfscdrom-hdb type nfs
(rw,addr=192.168.2.101)

ls /media/nfscdrom-hdb
eula.txt              RELEASE-NOTES-en_US.html   RPM-GPG-KEY-fedora-rawhide
Fedora                repodata                   RPM-GPG-KEY-fedora-test
fedora.css            RPM-GPG-KEY                RPM-GPG-KEY-rawhide
GPL                   RPM-GPG-KEY-beta           stylesheet-images
images                RPM-GPG-KEY-fedora         TRANS.TBL
isolinux              RPM-GPG-KEY-fedora-extras
README-Accessibility  RPM-GPG-KEY-fedora-legacy

In Virtual Machine Manager I gave the installation source as:
/media/nfscdrom-hdb

and at Finish received:
Invalid PV media address
Install location must be an NFS, HTTP, or FTP install source.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. described above
2.
3.
  
Actual results:
received error

Expected results:
installs from NFS-mounted media

Additional info:
Comment 1 Gerry Reno 2006-12-26 22:28:14 EST
I was finally able to get the NFS install started by using the form:
nfs:192.168.2.101:/media/cdrom-hdb instead of the nfs mount I created.

Note You need to log in before you can comment on or make changes to this bug.